/*
Dataddo Headless BETA API

Dataddo Headless BETA API

API version: 1.0.0-beta.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package customer_api

import (
	"encoding/json"
)

// checks if the AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest{}

// AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest struct for AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest
type AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest struct {
	OAuthId *string `json:"oAuthId,omitempty"`
	Object  *string `json:"object,omitempty"`
}

// NewAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest instantiates a new AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest() *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest {
	this := AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest{}
	return &this
}

// NewAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequestWithDefaults instantiates a new AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequestWithDefaults() *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest {
	this := AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest{}
	return &this
}

// GetOAuthId returns the OAuthId field value if set, zero value otherwise.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) GetOAuthId() string {
	if o == nil || IsNil(o.OAuthId) {
		var ret string
		return ret
	}
	return *o.OAuthId
}

// GetOAuthIdOk returns a tuple with the OAuthId field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) GetOAuthIdOk() (*string, bool) {
	if o == nil || IsNil(o.OAuthId) {
		return nil, false
	}
	return o.OAuthId, true
}

// HasOAuthId returns a boolean if a field has been set.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) HasOAuthId() bool {
	if o != nil && !IsNil(o.OAuthId) {
		return true
	}

	return false
}

// SetOAuthId gets a reference to the given string and assigns it to the OAuthId field.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) SetOAuthId(v string) {
	o.OAuthId = &v
}

// GetObject returns the Object field value if set, zero value otherwise.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) GetObject() string {
	if o == nil || IsNil(o.Object) {
		var ret string
		return ret
	}
	return *o.Object
}

// GetObjectOk returns a tuple with the Object field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) GetObjectOk() (*string, bool) {
	if o == nil || IsNil(o.Object) {
		return nil, false
	}
	return o.Object, true
}

// HasObject returns a boolean if a field has been set.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) HasObject() bool {
	if o != nil && !IsNil(o.Object) {
		return true
	}

	return false
}

// SetObject gets a reference to the given string and assigns it to the Object field.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) SetObject(v string) {
	o.Object = &v
}

func (o AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) MarshalJSON() ([]byte, error) {
	toSerialize, err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.OAuthId) {
		toSerialize["oAuthId"] = o.OAuthId
	}
	if !IsNil(o.Object) {
		toSerialize["object"] = o.Object
	}
	return toSerialize, nil
}

type NullableAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest struct {
	value *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest
	isSet bool
}

func (v NullableAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) Get() *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest {
	return v.value
}

func (v *NullableAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) Set(val *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest(val *AppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) *NullableAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest {
	return &NullableAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest{value: val, isSet: true}
}

func (v NullableAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableAppConnectorNetsuiteNetsuiteConnectorActionAttributesRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}
